Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## gr.forth.ics.vrp.corevrp.model
Class RDF_Property

    java.lang.Object
      |
      +--gr.forth.ics.vrp.corevrp.model.Resource
            |
            +--gr.forth.ics.vrp.corevrp.model.RDF_Resource
                  |
                  +--gr.forth.ics.vrp.corevrp.model.RDF_Property

public class RDF_Property
extends RDF_Resource

RDF_Property.java - The class for the Properties.

Constructor Summary
`RDF_Property(RDF_Resource res)` Casting a RDF_Resource to a new RDF_Property.
`RDF_Property(Resource res)` Casting a Resource to a new RDF_Property.

Method Summary
`void` | `adddomain(RDF_Class d)` Set the domain(s) of the property.
`void` | `addlink(int subj, int obj)` Add a link(subject, object) to the property.
`void` | `addrange(RDF_Class r)` Set the range(s) of the property
`void` | `addsubPropertyOf(RDF_Property subPO)` Entering a subPropertyOf statement to the property.
`ArrayList` | `getdomain()` Getting the domain(s) of the property.
`ArrayList` | `getlink()` Getting all links of the property.
`ArrayList` | `getrange()` Get the range of the property.
`ArrayList` | `getsubPropertyOf()` Getting all subPropertyOf statements of the property.
`boolean` | `range_domain_check()`
`void` | `setdomain(ArrayList dom)` Setting the domain(s) of the property.
`void` | `setrange(ArrayList range)` Sets the range(s) of the property.
`void` | `setsubPropertyOf(ArrayList subPropertyOf)` Sets the subProperties of the property.
`void` | `solve_links(Existing existing)` This method is for changing the Integer to links to the real java objects so, we do not need the HashTables any more.

Methods inherited from class gr.forth.ics.vrp.corevrp.model.RDF_Resource
`addcomment, addisDefinedBy, addlabel, addseeAlso, addtype, addvalue, addvalue, getcomment, getisDefinedBy, getlabel, getseeAlso, gettype, getvalue, has_type, setcomment, setisDefinedBy, setlabel, setseeAlso, settype, setvalue`

Methods inherited from class gr.forth.ics.vrp.corevrp.model.Resource
`getID, setID`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### RDF_Property

    public RDF_Property(Resource res)

  Casting a Resource to a new RDF_Property.

### RDF_Property

    public RDF_Property(RDF_Resource res)

  Casting a RDF_Resource to a new RDF_Property.

Method Detail

### addsubPropertyOf

    public void addsubPropertyOf(RDF_Property subPO)

  Entering a subPropertyOf statement to the property.

### getsubPropertyOf

    public ArrayList getsubPropertyOf()

  Getting all subPropertyOf statements of the property.

### addrange

    public void addrange(RDF_Class r)

  Set the range(s) of the property

### getrange

    public ArrayList getrange()

  Get the range of the property.

### adddomain

    public void adddomain(RDF_Class d)

  Set the domain(s) of the property.

### setrange

    public void setrange(ArrayList range)

  Sets the range(s) of the property.

### setsubPropertyOf

    public void setsubPropertyOf(ArrayList subPropertyOf)

  Sets the subProperties of the property.

### getdomain

    public ArrayList getdomain()

  Getting the domain(s) of the property.

### setdomain

    public void setdomain(ArrayList dom)

  Setting the domain(s) of the property.

### addlink

    public void addlink(int subj,
                        int obj)

  Add a link(subject, object) to the property.

### getlink

    public ArrayList getlink()

  Getting all links of the property.

### solve_links

    public void solve_links(Existing existing)

  This method is for changing the Integer to links to the real java objects so, we do not need the HashTables any more.

  Overrides:
    `solve_links` in class `RDF_Resource`

### range_domain_check

    public boolean range_domain_check()
                               throws Exception

    `Exception`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD